<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package eduline
 */
?>

<!-- Footer -->
<footer class="footer  section">
	<!-- Footer Top -->
	<div class="footer-top">
		<div class="container">
			<div class="row">
				<div class="col-lg-2 logo-col">
					<div class="logo">
						<?php
						if(has_custom_logo()):?>
							<?php the_custom_logo();?>
							<?php else: ?>  
								<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo('name');?></a></h1>
							<?php endif; ?>
						</div>
					</div>
					<div class="col-lg-10 col-md-10 col-12">
						<p class="logo-text"><?php bloginfo( 'description' ) ?></p>
					</div>
				</div>
				<div class="row">
					<div class="col-lg-3 col-md-6 col-12">
						<!-- About -->
						<?php if ( is_active_sidebar( 'footer-1' ) ) { ?>
							<?php dynamic_sidebar( 'footer-1' );?>
						<?php } ?>
						<!--/ End About -->
					</div>
					<div class="col-lg-2 col-md-6 col-12">
						<!-- Useful Links -->
						<?php if ( is_active_sidebar( 'footer-2' ) ) { ?>
							<?php dynamic_sidebar( 'footer-2' );?>
						<?php } ?>
						<!--/ End Useful Links -->
					</div>
					<div class="col-lg-3 col-md-6 col-12">
						<!-- Latest News -->
						<div class="single-widget useful-links">
							<?php if ( is_active_sidebar( 'footer-3' ) ) { ?>
								<?php dynamic_sidebar( 'footer-3' );?>
							<?php } ?>
						</div>
						<!--/ End Latest News -->
					</div>
					<div class="col-lg-4 col-md-6 col-12">
						<!-- Newsletter -->
						<?php if ( is_active_sidebar( 'footer-4' ) ) { ?>
							<?php dynamic_sidebar( 'footer-4' );?>
						<?php } ?>
						<!--/ End Newsletter -->
					</div>
				</div>
			</div>
		</div>
		<!--/ End Footer Top -->
		<!-- Footer Bottom -->
		<div class="footer-bottom">
			<div class="container">
				<div class="row">
					<div class="col-lg-6 col-md-6 col-12">
						<div class="bottom-head">
							<div class="row">
								<div class="col-12">
									<!-- Copyright -->
									<div class="copyright">
										<p><?php esc_html_e('&copy; All Right Reserved ','eduline'); bloginfo('title');?> <?php echo  esc_html(date('Y'));?></p>
									</div>
									<!--/ End Copyright -->
								</div>
							</div>
						</div>
					</div>
					<div class="col-lg-6 col-md-6 col-12">
						<div class="bottom-head">
							<div class="row">
								<div class="col-12">
									<!-- Social -->
									<?php eduline_footer_social_items();?>
									
									<!-- End Social -->
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!--/ End Footer Bottom -->
	</footer>
	<!--/ End Footer -->

	<?php wp_footer(); ?>

</body>
</html>
